<?php
session_start(); 
include("db/connectbdd.php");
if(isset($_SESSION['user_id'])) {

$repuse = $bdd->query('SELECT * FROM weblink_user WHERE instance_id = 0 OR instance_id = "'.$_SESSION['instance'].'" ORDER BY user_id DESC LIMIT 0,10');
$reppub = $bdd->query('SELECT * FROM weblink_pub ORDER BY produit_id DESC LIMIT 0,10');
$naiss = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT annee_naissance FROM weblink_param WHERE instance_id = '".$_SESSION['instance']."'"));
?>

<!doctype html>

<html>
<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" type="text/css" href="css/weblink.css">
	<title>Simulation de base de données</title>
	<META HTTP-EQUIV="Refresh" CONTENT="10"> <!-- rafraichis la page toutes les 10 secondes -->
	
</head>

<body class="bdd">

<p>Voici l'exemple d'un <b>algorithme</b> pour calculer ton âge :</p>

<p class="algo_exemple">
<span style="color:green;">// On récupère ta date de naissance :</span>
<br /><span style="color:blue;">$naissance</span> <span style="color:purple;">=</span> <span style="color:blue;">$user_info</span><span style="color:purple;">[</span><span style="color:grey;">'naissance'</span><span style="color:purple;">];</span>
<br /><span style="color:green;">// On en déduit année, mois et jour :</span>
<br /><span style="color:blue;">$annee</span> <span style="color:purple;">=</span> substr<span style="color:purple;">(</span><span style="color:blue;">$naissance</span><span style="color:purple;">,</span> <span style="color:orange;">0</span><span style="color:purple;">,</span> -<span style="color:orange;">6</span><span style="color:purple;">)</span><span style="color:purple;">;</span>
<br /><span style="color:blue;">$mois</span> <span style="color:purple;">=</span> substr<span style="color:purple;">(</span><span style="color:blue;">$naissance</span><span style="color:purple;">,</span> <span style="color:orange;">5</span><span style="color:purple;">,</span> -<span style="color:orange;">3</span><span style="color:purple;">)</span><span style="color:purple;">;</span>
<br /><span style="color:blue;">$jour</span> <span style="color:purple;">=</span> substr<span style="color:purple;">(</span><span style="color:blue;">$naissance</span><span style="color:purple;">,</span> -<span style="color:orange;">2</span><span style="color:purple;">)</span>;
<br /><span style="color:green;">// On transforme en date :</span>
<br /><span style="color:blue;">$date</span> = <span style="color:blue;">$jour</span><span style="color:purple;">.</span><span style="color:grey;">'/'</span><span style="color:purple;">.</span><span style="color:blue;">$mois</span><span style="color:purple;">.</span><span style="color:grey;">'/'</span><span style="color:purple;">.</span><span style="color:blue;">$annee</span><span style="color:purple;">;</span>
<br /><span style="color:green;">// On crée une fonction pour calculer l'âge, différence entre aujourd'hui et ta date de naissance :</span>
<br /><span style="color:blue;">function</span> Age<span style="color:purple;">(</span><span style="color:blue;">$date_naissance</span><span style="color:purple;">)</span>
<br /><span style="color:purple;">{</span>
<br />&nbsp; &nbsp; &nbsp; <span style="color:blue;">$arr1</span> <span style="color:purple;">=</span> <span style="color:blue;">explode</span><span style="color:purple;">(</span><span style="color:grey;">'/'</span><span style="color:purple;">,</span> <span style="color:blue;">$date_naissance</span><span style="color:purple;">);</span>
<br />&nbsp; &nbsp; &nbsp; <span style="color:blue;">$arr2</span> <span style="color:purple;">=</span> <span style="color:blue;">explode</span><span style="color:purple;">(</span><span style="color:grey;">'/'</span><span style="color:purple;">,</span> <span style="color:blue;">date</span><span style="color:purple;">(</span><span style="color:grey;">'d/m/Y'</span><span style="color:purple;">));</span>
<br />&nbsp; &nbsp; &nbsp; <span style="color:blue;">if</span><span style="color:purple;">((</span><span style="color:blue;">$arr1</span><span style="color:purple;">[</span><span style="color:orange;">1</span><span style="color:purple;">] <</span> <span style="color:blue;">$arr2</span><span style="color:purple;">[</span><span style="color:orange;">1</span><span style="color:purple;">]) || ((</span><span style="color:blue;">$arr1</span><span style="color:purple;">[</span><span style="color:orange;">1</span><span style="color:purple;">] ==</span> <span style="color:blue;">$arr2</span><span style="color:purple;">[</span><span style="color:orange;">1</span><span style="color:purple;">])<br />&nbsp; &nbsp; &nbsp; && (</span><span style="color:blue;">$arr1</span><span style="color:purple;">[</span><span style="color:orange;">0</span><span style="color:purple;">] <=</span> <span style="color:blue;">$arr2</span><span style="color:purple;">[</span><span style="color:orange;">0</span><span style="color:purple;">])))</span>
<br />&nbsp; &nbsp; &nbsp; <span style="color:blue;">return</span> <span style="color:blue;">$arr2</span><span style="color:purple;">[</span><span style="color:orange;">2</span><span style="color:purple;">] -</span> <span style="color:blue;">$arr1</span><span style="color:purple;">[</span><span style="color:orange;">2</span><span style="color:purple;">];</span>
<br />&nbsp; &nbsp; &nbsp; <span style="color:blue;">return</span> <span style="color:blue;">$arr2</span><span style="color:purple;">[</span><span style="color:orange;">2</span><span style="color:purple;">] -</span> <span style="color:blue;">$arr1</span><span style="color:purple;">[</span><span style="color:orange;">2</span><span style="color:purple;">] -</span> <span style="color:orange;">1</span><span style="color:purple;">;</span>
<br /><span style="color:purple;">}</span>
<br /><span style="color:green;">// On récupère ton âge dans une variable :</span>
<br /><span style="color:blue;">$age</span> <span style="color:purple;">=</span> Age<span style="color:purple;">(</span><span style="color:blue;">$date</span><span style="color:purple;">);</span></p>

<p>Dans la table des <b>utilisateurs</b> (table "user"), les informations que tu viens de donner sur tes goûts apparaissent :</p>
<center><table><tr><td class="tit">Id.</td><td class="tit">Pseudo</td><td class="tit">Nom</td><td class="tit">Prénom</td><td class="tit">Naissance</td><td class="tit">Sexe</td><td class="tit">Sport</td><td class="tit">Musique</td></tr>

<?php
while($donuse = mysqli_fetch_assoc($repuse))
{
	?>
	<p>
		<tr><td><?php echo $donuse['user_id']; ?></td>
		<td><?php echo $donuse['pseudo']; ?></td>
		<td><?php echo $donuse['nom']; ?></td>
		<td><?php echo $donuse['prenom']; ?></td>
		<td><?php 
		if($donuse['instance_id']!=0) {
			echo $donuse['naissance']; }
		else { echo $naiss['annee_naissance'].'-'.substr($donuse['naissance'],5,2).'-'.substr($donuse['naissance'],8,2);  }
		?></td>
		<td><?php echo $donuse['sexe']; ?></td>
		<td><?php echo $donuse['sport']; ?></td>
		<td><?php echo $donuse['musique']; ?></td></tr>
		
	</p>
	<?php
}

// $repuse->closeCursor();

?>

</table></center>
<br />
<p>Un code permet une <b>mise en relation avec un autre utilisateur</b> du réseau, de sexe opposé ! avec cette fois-ci quelqu'un qui a les mêmes goûts musicaux, ce qui donne l'impression d'un meilleur service de la part du réseau social.
<p>Il y a toujours une table de <b>publicités</b> pour produits (table "pub") :</p>
<p>Maintenant, avec la base de données, on fait d'autres liens que le sexe seulement. </p>
<center><table><tr><td class="tit">Id.</td><td class="tit">Marque</td><td class="tit">Keyword</td><td class="tit">Sexe</td><td class="tit">Image</td><td class="tit">Type</td></tr>

<?php
while($donpub = mysqli_fetch_assoc($reppub))
{
	?>
	<p>
		<tr><td><?php echo $donpub['produit_id']; ?></td>
		<td><?php echo $donpub['marque']; ?></td>
		<td><?php echo $donpub['keyword']; ?></td>
		<td><?php echo $donpub['sexe']; ?></td>
		<td><?php echo $donpub['image_pub']; ?></td>
		<td><?php echo $donpub['type']; ?></td>
		</tr>
		
	</p>
	<?php
}

?>

</table></center>

<p><b>Schéma de la base de données :</b></p>

<img class="schema" src="img/bdd_schema1.png" title="Schéma de la base de données" alt="Schéma de la base de données" />

</body>
</html>
<?php
}
else {
	echo '<script language="Javascript">
	<!--
	document.location.replace("index.php");
	// -->
	</script>';
}
?>