-- phpMyAdmin SQL Dump
-- version 4.5.2
-- http://www.phpmyadmin.net
--
-- Client :  localhost
-- Généré le :  Sam 23 Juin 2018 à 15:24
-- Version du serveur :  10.1.19-MariaDB
-- Version de PHP :  5.6.24

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `weblink`
--

-- --------------------------------------------------------

--
-- Structure de la table `weblink_img`
--

CREATE TABLE `weblink_img` (
  `img_id` int(11) NOT NULL,
  `image` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `cryptimg` text COLLATE utf8_unicode_ci NOT NULL,
  `edit` int(1) NOT NULL,
  `user_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `weblink_param`
--

CREATE TABLE `weblink_param` (
  `login_admin` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `mdp_admin` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `cle` int(5) NOT NULL,
  `active_inscrits` int(1) NOT NULL,
  `nb_inscrits` int(3) NOT NULL,
  `instance_id` int(11) NOT NULL,
  `cle_delete` int(11) NOT NULL,
  `date_fin` date NOT NULL,
  `annee_naissance` int(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `weblink_pub`
--

CREATE TABLE `weblink_pub` (
  `produit_id` int(11) NOT NULL,
  `marque` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `keyword` text COLLATE utf8_unicode_ci NOT NULL,
  `sexe` varchar(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `image_pub` text COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(5) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Contenu de la table `weblink_pub`
--

INSERT INTO `weblink_pub` (`produit_id`, `marque`, `keyword`, `sexe`, `image_pub`, `type`) VALUES
(1, 'musicworld', 'rap', NULL, 'img/pub_ban_music_rap.jpg', 'banni'),
(2, 'musicworld', 'rnb', NULL, 'img/pub_ban_music_rnb.jpg', 'banni'),
(3, 'musicworld', 'rock', NULL, 'img/pub_ban_music_rock.jpg', 'banni'),
(4, 'musicworld', 'pop', NULL, 'img/pub_ban_music_pop.jpg', 'banni'),
(5, 'footshoes', 'foot', 'M', 'img/pub_bor_sport_foot.jpg', 'right'),
(6, 'supersport', 'gym', 'F', 'img/pub_bor_sport_gym.jpg', 'right'),
(7, 'grandchelem', 'tennis', NULL, 'img/pub_bor_sport_tennis.jpg', 'right'),
(8, 'supersport', 'basket', NULL, 'img/pub_bor_sport_basket.jpg', 'right'),
(9, 'maxcolor', '', 'F', 'img/pub_ban_fil_maq.jpg', 'banni'),
(10, 'bagoo', '', 'F', 'img/pub_bor_fil_bijoux.jpg', 'right'),
(11, 'xv3000', '', 'M', 'img/pub_ban_gar_helico.jpg', 'banni'),
(12, '4dmax', '', 'M', 'img/pub_bor_gar_jeux.jpg', 'right');

-- --------------------------------------------------------

--
-- Structure de la table `weblink_user`
--

CREATE TABLE `weblink_user` (
  `user_id` int(11) NOT NULL,
  `actif` int(1) NOT NULL DEFAULT '1',
  `pseudo` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `nom` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `prenom` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `naissance` date NOT NULL,
  `sexe` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `mdp` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `sport` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `musique` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `table1` text COLLATE utf8_unicode_ci NOT NULL,
  `table2` text COLLATE utf8_unicode_ci NOT NULL,
  `colo1` text COLLATE utf8_unicode_ci NOT NULL,
  `colo2` text COLLATE utf8_unicode_ci NOT NULL,
  `elem1` text COLLATE utf8_unicode_ci NOT NULL,
  `elem2` text COLLATE utf8_unicode_ci NOT NULL,
  `elem3` text COLLATE utf8_unicode_ci NOT NULL,
  `elem4` text COLLATE utf8_unicode_ci NOT NULL,
  `comm1` text COLLATE utf8_unicode_ci NOT NULL,
  `gout1` text COLLATE utf8_unicode_ci NOT NULL,
  `gout2` text COLLATE utf8_unicode_ci NOT NULL,
  `elem5` text COLLATE utf8_unicode_ci NOT NULL,
  `elem6` text COLLATE utf8_unicode_ci NOT NULL,
  `elem7` text COLLATE utf8_unicode_ci NOT NULL,
  `elem8` text COLLATE utf8_unicode_ci NOT NULL,
  `comm2` text COLLATE utf8_unicode_ci NOT NULL,
  `table3` text COLLATE utf8_unicode_ci NOT NULL,
  `colo3` text COLLATE utf8_unicode_ci NOT NULL,
  `imag1` text COLLATE utf8_unicode_ci NOT NULL,
  `imag2` text COLLATE utf8_unicode_ci NOT NULL,
  `comm3` text COLLATE utf8_unicode_ci NOT NULL,
  `colo4` text COLLATE utf8_unicode_ci NOT NULL,
  `suppr` text COLLATE utf8_unicode_ci NOT NULL,
  `comm4` text COLLATE utf8_unicode_ci NOT NULL,
  `instance_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Contenu de la table `weblink_user`
--

INSERT INTO `weblink_user` (`user_id`, `actif`, `pseudo`, `nom`, `prenom`, `naissance`, `sexe`, `mdp`, `sport`, `musique`, `table1`, `table2`, `colo1`, `colo2`, `elem1`, `elem2`, `elem3`, `elem4`, `comm1`, `gout1`, `gout2`, `elem5`, `elem6`, `elem7`, `elem8`, `comm2`, `table3`, `colo3`, `imag1`, `imag2`, `comm3`, `colo4`, `suppr`, `comm4`, `instance_id`) VALUES
(1, 1, 'Kevin', 'Durand', 'Kevin', '2002-03-28', 'M', '', NULL, 'rnb', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 0),
(2, 1, 'marina', 'Poussin', 'Marina', '2002-11-04', 'F', '', NULL, 'rnb', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 0),
(3, 1, 'Johnny', 'Morin', 'Franck', '2002-06-15', 'M', '', NULL, 'rock', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 0),
(4, 1, 'Kalina', 'Allaoua', 'Khalissa', '2002-06-03', 'F', '', NULL, 'rock', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 0),
(5, 1, 'le_grand', 'Berkovitch', 'Yvan', '2002-10-26', 'M', '', NULL, 'rap', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 0),
(6, 1, 'Flipper', 'Prescott', 'Sidney', '2002-09-25', 'F', '', NULL, 'rap', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 0),
(7, 1, 'Marco', 'Anrieux', 'Marc', '2002-12-25', 'M', '', NULL, 'pop', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 0),
(8, 1, 'La Calas', 'Esteban', 'Maria', '2002-03-12', 'F', '', NULL, 'pop', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 0);

--
-- Index pour les tables exportées
--

--
-- Index pour la table `weblink_img`
--
ALTER TABLE `weblink_img`
  ADD PRIMARY KEY (`img_id`);

--
-- Index pour la table `weblink_param`
--
ALTER TABLE `weblink_param`
  ADD PRIMARY KEY (`instance_id`);

--
-- Index pour la table `weblink_pub`
--
ALTER TABLE `weblink_pub`
  ADD PRIMARY KEY (`produit_id`);

--
-- Index pour la table `weblink_user`
--
ALTER TABLE `weblink_user`
  ADD PRIMARY KEY (`user_id`);

--
-- AUTO_INCREMENT pour les tables exportées
--

--
-- AUTO_INCREMENT pour la table `weblink_img`
--
ALTER TABLE `weblink_img`
  MODIFY `img_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `weblink_param`
--
ALTER TABLE `weblink_param`
  MODIFY `instance_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `weblink_pub`
--
ALTER TABLE `weblink_pub`
  MODIFY `produit_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT pour la table `weblink_user`
--
ALTER TABLE `weblink_user`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
