<?php
session_start();
if(isset($_SESSION['user_id'])) {
	session_destroy();
}
$filename = 'db/connectbdd_data.php';
if (file_exists($filename)) {
	include('db/connectbdd_data.php');
}
else {
	include('db/_connectbdd_data.php');
}
?>

<!doctype html>

<html>
<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" type="text/css" href="css/weblink.css">
	<title>Simulation de média social en ligne</title>
	<script language="javascript">
		function toggleDiv(divid){
			if(document.getElementById(divid).style.display == 'none'){
				document.getElementById(divid).style.display = 'block';
			}else{
				document.getElementById(divid).style.display = 'none';
			}
		}
	</script>
	<script language="javascript">
		function insDiv(divid){
			if(document.getElementById(divid).style.display == 'none'){
				document.getElementById(divid).style.display = 'block';
				document.getElementById("people").style.display = 'none';
			}else{
				document.getElementById(divid).style.display = 'none';
				document.getElementById("people").style.display = 'block';
			}
		}
	</script>
</head>

<body onLoad="document.forms['form'].elements['pseudo'].focus()">

<?php 
$bdd = mysqli_connect($server, $user, $pwd);
if(!$bdd){
	echo '<p><a href="db/install.php">Installer Weblink</a></p>';
}
else if(!mysqli_select_db($bdd,$base)){
	echo '<p><a href="db/install.php">Installer Weblink</a></p>';
}
else {
	include("db/connectbdd.php");
	if(isset($_POST['admin_reg'])) { // traitement pour l'admin
		$test_admin = mysqli_query($bdd,"SELECT * FROM weblink_param WHERE instance_id=1");
		$test_admin_nb = mysqli_num_rows($test_admin);
		if($test_admin_nb==0) {
			$login_admin = mysqli_real_escape_string($bdd,$_POST['login_admin']);
			$mdp_admin = mysqli_real_escape_string($bdd,$_POST['mdp_admin']);
			$date = date('Y-m-d', strtotime('+2 month'));
			mysqli_query($bdd,"INSERT INTO weblink_param (login_admin, mdp_admin, cle, active_inscrits, nb_inscrits, instance_id, cle_delete, date_fin, annee_naissance) VALUES('$login_admin',PASSWORD('$mdp_admin'),'22007','1','50', '1', '22009', '".$date."', '".(date('Y')-15)."')");
		}
	}
	$test_admin = mysqli_query($bdd,"SELECT * FROM weblink_param WHERE instance_id=1");
	$test_admin_nb = mysqli_num_rows($test_admin);
	if($test_admin_nb==0) {
		echo '<div id="page"><div id="gauche">
		<p>Création de l\'administrateur</p>
		<form method="POST" name="form" action="" style=padding:30px;">
		<table class="left"><tr><td>Identifiant :</td><td><input type="text" name="login_admin" maxlength="10" value="admin" /></td></tr>
		<tr><td>Mot de passe :</td><td><input type="password" name="mdp_admin" maxlength="12" /></td></tr>
		<tr><td colspan="2" style="text-align:right; padding-right:10px;"><input type="submit" name="admin_reg" value="Enregistrer" /></td></tr>
		</table>
		</form>
		</div></div>';
	}
	else {
		?>
		<div id="page">
			<div id="teteleft"><center><b>- l'interface publique -</b></center></div>
			<div id="teteright"><center><b>- la base de données -</b></center></div>
			<div id="gauche">
				<form method="post" name="form" class="form1" action="db/user_connect.php">
					<table class="left">
					<?php
					if(@$_SESSION['no_ins']==1) {
						echo '<tr><td colspan="2" class="signal">La clé donnée à l\'inscription n\'est pas bonne !</td></tr>';
					}
					else if(@$_SESSION['no_ins']==2) {
						echo '<tr><td colspan="2" class="signal">Un ou plusieurs champs n\'ont pas été renseignés.</td></tr>';
					}
					else if(@$_SESSION['no_ins']==3) {
						echo '<tr><td colspan="2" class="signal">L\'inscription a été effectuée. Connexion possible.</td></tr>';
					}
					else if(@$_SESSION['no_ins']==4) {
						echo '<tr><td colspan="2" class="signal">Identifiant déjà utilisé.</td></tr>';
					}
					else if(@$_SESSION['no_ins']==5) {
						echo '<tr><td colspan="2" class="signal">Informations erronées.</td></tr>';
					}
					?>
					<tr><td>Identifiant :</td><td><input type="text" id="pseudo" name="pseudo" maxlength="20" /></td></tr>
					<tr><td>Mot de passe :</td><td><input type="password" name="mdp" maxlength="12" /></td></tr>
					<tr><td colspan="2" style="text-align:right; padding-right:10px;"><input type="submit" value="Se connecter" /></td></tr>
					</table>
				</form>
				<p style="text-align:center;margin-top: -80px;"><a onmouseover="this.style.textDecoration='none';" onmouseout="this.style.textDecoration='none';" onmousedown="insDiv('divinscription');"><input type="submit" value="S'inscrire !" /></a></p>
				<div id="divinscription" style="display:none;">
					<?php require_once('inscription.php'); ?>
				</div>
				<p class="center" id="people" style="margin-top:40px;"><img src="img/people.png" width="180" /></p>
			</div>
			<div id="droite"><iframe src="bdd_right0.php" width="500" frameborder="0" height="550"></iframe></div>
		</div>
		<div class="mentions"><p><a onmouseover="this.style.textDecoration='underline';" onmouseout="this.style.textDecoration='none';" onmousedown="toggleDiv('divmentions');">mentions légales</a> - 2016-<?php echo date('Y'); ?></p>
			<div  id="divmentions" style="display:none;"><p class="mentions2">Logiciel en ligne réalisé par Florian Reynaud, professeur documentaliste.<br>Sous licence <a href="http://www.gnu.org/licenses/agpl.html" style="display:inline;" title="AGPL (GNU)">AGPL</a>. Version 4.6. le 20 février 2023. Aide disponible sur : <a href="http://profdoc.iddocs.fr/spip.php?article60" style="display:inline;">profdoc.iddocs.fr</a>. Toutes illustrations libres de droit.</p></div>
			<div id="divselect" style="display:inline;"></div>
		</div>
		<?php
	}
}
?>
</body>
</html>